MS-SYS(1)

BEZEICHNUNG
ms-sys - schreibt einen Microsoft Bootblock

ÜBERSICHT
ms-sys [Optionen] [Gerät]

BESCHREIBUNG
ms-sys ist für das Schreiben von Microsoft kompatiblen Bootrecords.

OPTIONEN
Eine Zusammenfassung der Optionen ist unten aufgeführt.

-1, --fat12
    Schreibt einen FAT12 Disketten Bootrecord aufs Gerät.

-2, --fat32nt
    Schreibt einen FAT32 Partition NT Bootrecord aufs Gerät.

-e, --fat32pe
    Schreibt einen FAT32 Partition PE Bootrecord aufs Gerät, für USB Installation und Wiederherstellung.

-3, --fat32
    Schreibt einen FAT32 Partition DOS (Win9x) Bootrecord aufs Gerät,

-4, --fat32free
    Schreibt einen FAT32 Partition FreeDOS Bootrecord aufs Gerät,

-5, --fat16free
    Schreibt einen FAT16 Partition Bootrecord aufs Gerät,

-6, --fat16
    Schreibt einen FAT16 Partition DOS (Win9x) Bootrecord aufs Gerät,

-n, --ntfs
    Schreibt einen NTFS Partition Windows 7 Bootrecord aufs Gerät. Diese Funktionalität sollte als experimentell angesehen werden und ist wahrscheinlich von keinem praktischen Nutzen.

-o, --fat16ros
    Schreibt einen FAT16 Partition ReactOS Bootrecord aufs Gerät.

-c, --fat32ros
    Schreibt einen FAT32 Partition ReactOS Bootrecord aufs Gerät.

-q, --fat32kos
    Schreibt einen FAT32 Partition KolibriOS Bootrecord aufs Gerät.

-l, --wipelabel
    Entfernt Volumenlabel im Bootrecord.

-p, --partition
    Schreibt Partitions-Info (versteckte Sektoren, Köpfe und Laufwerkskennung) in Bootrecord. Dies könnte auf einigen Partitionen erforderlich sein, je nach verwendetem Programm, mit dem das Dateisystem erstellt wurde.

-H <n>, --heads <n>
    Anzahl der Köpfe, wenn -p Option verwendet wird.

-O <s>, --writeoem <s>
    Schreibt OEM ID <s> zum Dateisystem.

-S <x>, --writewds <x>
    Schreibt hexadezimal <x> als Windows Platten-Signatur zum MBR.

-7, --mbr7
    Schreibt einen Windows 7 Master-Bootrecord aufs Gerät. Dies ändert die Windows Platten-Signatur nicht (Bytes 01b8-01bd). Dieser MBR wird bestimmte Partitionstypen jenseits der Zylindergrenze 1024 booten mittels LBA-Adressierung.

-i, --mbrvista
    Schreibt einen Windows Vista Master-Bootrecord aufs Gerät. Dies ändert die Windows Platten-Signatur nicht (Bytes 01b8-01bd). Dieser MBR wird bestimmte Partitionstypen jenseits der Zylindergrenze 1024 booten mittels LBA-Adressierung.

-m, --mbr
    Schreibt einen Windows 2000/XP/2003 Master-Bootrecord aufs Gerät. Dies ändert die Windows Platten-Signatur nicht (Bytes 01b8-01bd). Dieser MBR wird bestimmte Partitionstypen jenseits der Zylindergrenze 1024 booten mittels LBA-Adressierung.

-9, --mbr95b
    Schreibt einen Windows 95B/98/98SE/ME Master-Bootrecord aufs Gerät. Dies ändert weder die Windows Platten-Signatur (Bytes 01b8-01bd) noch das Boot-Laufwerk und die Zeit (Bytes 00da-00df). Dieser MBR wird Partitionstypen 0c and 0e jenseits der Zylindergrenze 1024 booten mittels LBA-Adressierung.

-d, --mbrdos
    Schreibt einen DOS/Windows NT Master-Bootrecord aufs Gerät. Dies ändert die Windows Platten-Signatur nicht (Bytes 01b8-01bd). Dieser MBR wird nicht jenseits der Zylindergrenze 1024 booten da er die LBA-Adressierung nicht unterstützt.

-s, --mbrsyslinux
    Schreibt einen Syslinux Master-Bootrecord aufs Gerät. Dies ändert die Windows Platten-Signatur nicht (Bytes 01b8-01bd). Dieser MBR wird jeden Partitionstypen jenseits der Zylindergrenze 1024 booten mittels LBA-Adressierung.

-t, --mbrgptsyslinux
    Schreibt einen GPL Syslinux GPT Master-Bootrecord aufs Gerät. Dieser MBR wird booten von einer GUID-Partitionstabelle.

-a, --mbrreactos
    Schreibt einen ReactOS Master-Bootrecord aufs Gerät.

-k, --mbrkolibrios
    Schreibt einen KolibriOS Master-Bootrecord aufs Gerät.

-r, --mbrrufus
    Schreibt einen Rufus Master-Bootrecord aufs Gerät.

-g, --mbrgrub4dos
    Schreibt einen Grub4Dos Master-Bootrecord aufs Gerät.

-b, --mbrgrub2
    Schreibt einen Grub 2 Master-Bootrecord aufs Gerät.

-z, --mbrzero
    Schreibt einen leeren (augenullten, nicht startbaren) Master-Bootrecord aufs Gerät. Nullt alle Bytes mit Ausnahme der Partitionstabelle und der Signatur Id (Bytes 01BE-01FF). Ähnlich wie ein leere DOS-Partitionstabelle, die fdisk erstellt.

-f, --force
    Schreiben des Bootrecords erzwingen.

-h, --help
    Zeigt Zusammenfassung der Optionen.

-v, --version
    Zeigt Programmversion.

-w, --write
    Schreibt automatisch gewählten Bootrecord aufs Gerät.

ms-sys ohne Optionen wird eine einfache Diagnose an dem angegebenen Gerät durchführen.

BEISPIELE

Bitte beachten Sie, dass Windows ME nicht sinnvoll für die Herstellung von eigenständig bootfähigen Disketten ist. Win9x und DOS jedoch funktionieren gut mit den ersten beiden Beispielen.

Erstellen einer bootfähigen 1,68 MB Diskette

Dieses Beispiel geht davon aus, dass Sie Ihre Windows-Installation in /dosc eingehängt haben und
    auch mtools und fdformat installiert sind.

fdformat /dev/fd0u1680
mformat a:
ms-sys -w /dev/fd0
mcopy /dosc/io.sys a:
mcopy /dosc/msdos.sys a:
mcopy /dosc/command.com a:

Erstellen eines bootfähigen 2.8 MB Disketten-Abbilds für eine El-Torito bootfähige CD.

dd if=/dev/zero of=floppy288.img bs=1024 count=2880
/sbin/mkdosfs floppy288.img
ms-sys -1 -f floppy288.img
su
mount -o loop floppy288.img /mnt
cp msdos.sys /mnt/
cp io.sys /mnt/
cp command.com /mnt/
(es könnte auch eine gute Idee sein, eine config.sys und autoexec.bat mit CD-ROM-Unterstützung hinzufügen)
umount /mnt
exit
cp floppy288.img cd-files/boot.img
mkisofs -b boot.img -c boot.cat -o cdimage.iso cd-files
(Brennen Sie die Datei cdimage.iso auf CD mit cdrecord oder einem anderen Programm)

Wiederherstellen einer Sicherung von Win9x oder Win ME auf einer neuen Festplatte

Schritt 1, verwenden sie GNU parted um ihr FAT32-Partition und Dateisystem zu erstellen:

parted (dann FAT32-Partition und Dateisystem erstellen)

Schritt 2, schreiben des MBR:

ms-sys -w /dev/hda

Schritt 3, schreiben des FAT32 Partition Bootrecords:

ms-sys -w /dev/hda1

Schritt 4, einhängen des neuen Dateisystems:

mount /dev/hda1 /mnt

Schritt 5, Wiederherstellen ihres Backups

cd /mnt; tar -xzvf /path/to/my_windows_backup_file.tgz

UMGEBUNG
Die Variablen LANG und LC_ALL haben die übliche Bedeutung, aber es sind nicht viele Übersetzungen vorhanden.

FEHLER
Es gab Berichte über nicht mehr bootbare FAT32-Partitionen erstellt mit "mformat -F C:". Das Problem wurde auch auf für Partitionen gemeldet, die mit mkdosfs und mkfs.vfat formatiert wurden. Eine Abhilfe ist, statt dessen GNU parted zu verwenden um die Partition zu erstellen. Seit der Version 1.1.3 ms-sys hat den Schalter -p, der dieses Problem beheben soll. Leider funktioniert mit Linux Kernel 2.6 weder die Option -p noch GNU parted. Eine einfache Abhilfe ist, ms-sys mit Linux Kernel 2.4 zu verwenden. Eine andere mögliche Problemumgehung ist es, die Anzahl der Köpfe mit dem Schalter -H manuell einzustellen. Wenn das System von LILO gebootet wurde, kann die korrekte Anzahl der Köpfe durch "lilo -T geom" ermittelt werden.

Das Schreiben von NTFS Partition-Bootrecords hat wohl keinen praktischen Nutzen. Für Windows 7 wurde berichtet, dass das Ausführen von "sysprep", bevor Sie ein Abbild einer NTFS-Partition erstellen, die aus diesem wiederhergestellte Partition bootfähig macht.

AUTOREN
Die englischsprachige Handbuchseite wurde ursprünglich von Gürkan Sengün geschrieben und dann von Henrik Carlqvist bearbeitet. Er hat größtenteils das Programm ms-sys geschrieben, die Datei CONTRIBUTORS in dem Quellen-Archiv enthält eine komplette Liste der Mitwirkenden.

SIEHE AUCH
mformat(1) fdformat(8) mkdosfs(8) mkisofs(8) parted(8)